Page MenuHomePhabricator

[Story] datatype to link to tabular data sets on Commons
Closed, ResolvedPublic

Description

We have a datatype now to link to the maps in the data namespace on Commons. We also need one to link to the tabular data sets in the same namespace.

Story

As a user I want to be able to add statements on Wikidata that link to data sets on Wikimedia Commons so I can find data related to the concept.

Example Use

Item: Berlin
population data: "link to data set with detailed population data on Commons

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2017, 9:19 AM

I made two patches that when we merge them, we would have the data type. They are rather big but almost all of them are copy-paste (with some modifications) from geo-shape datatype.

It works in my localhost:

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 15 2017, 12:20 AM
Ladsgroup moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
Ladsgroup moved this task from ready to go to in progress on the Wikidata board.

Change 348252 merged by jenkins-bot:
[data-values/value-view@master] Add TabularData datatype

https://gerrit.wikimedia.org/r/348252

Change 348250 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add "tabular-data" data type

https://gerrit.wikimedia.org/r/348250

Ladsgroup closed this task as Resolved.Apr 20 2017, 12:08 PM
Ladsgroup moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.
Ladsgroup moved this task from Blocked on others to Done on the User-Ladsgroup board.

It's implemented but not yet deployed (it's deployed but disabled for now). Because of the user interface policy we need to announce it, then wait for two weeks and then enable it in wikidata. So it'll happen in three weeks (at the most)

Is the validation done in the same way as for geo-shape? I.e T57549#3142843 but with .map replaced by .tab?

Yes, It also validates if the page exists in Wikimedia Commons

Ainali added a subscriber: Ainali.Jun 5 2019, 4:39 PM